# -*- encoding: utf-8 -*-
# stub: gn_uuid 0.5.1 ruby lib

Gem::Specification.new do |s|
  s.name = "gn_uuid".freeze
  s.version = "0.5.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dmitry Mozzherin".freeze]
  s.bindir = "exe".freeze
  s.date = "2018-07-17"
  s.description = "Creates UUID version 5 out of scientific name string. It uses globalnames.org domain for DNS namespace. There is a 1:1 relationship between the string and the corresponding UUID, so it allows globally connect data about a name string originated from independent sources without a need to negotiate identifiers.".freeze
  s.email = ["dmozzherin@gmail.com".freeze]
  s.homepage = "https://github.com/GlobalNamesArchitecture/gn_uuid".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Creates UUID v5 with DNS:globalnames.org namespace".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<coveralls>.freeze, ["~> 0.8"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.7"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.58"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<coveralls>.freeze, ["~> 0.8"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.7"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.58"])
  end
end
